Bug 882847 - upgrade 3.0 to 3.1: event notification is not sent.
upgrade 3.0 to 3.1: event notification is not sent.
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.2.0
Assigned To: Yair Zaslavsky
Ilanit Stein
: ZStream
: 881071 882682 882688 882690 (view as bug list)
Depends On:
Blocks: 884244
  Show dependency treegraph
Reported: 2012-12-03 03:46 EST by Ilanit Stein
Modified: 2016-02-10 14:04 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, an issue with notification service resource closing meant notification emails for upgrades would sometimes fail. This has been fixed so that emails are sent as they should be.
Story Points: ---
Clone Of:
: 884244 (view as bug list)
Last Closed: 2013-06-10 17:25:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
engine.log (45 bytes, application/x-gzip)
2012-12-03 03:48 EST, Ilanit Stein
no flags Details
notifier.log (82.75 KB, application/x-gzip)
2012-12-03 03:50 EST, Ilanit Stein
no flags Details
notifier_ovirt_engine.conf (3.11 KB, application/octet-stream)
2012-12-03 03:56 EST, Ilanit Stein
no flags Details
notifier_rhevm (4.44 KB, application/octet-stream)
2012-12-03 03:57 EST, Ilanit Stein
no flags Details

  None (edit)
Description Ilanit Stein 2012-12-03 03:46:26 EST
Description of problem:

After upgrade from IC158.2 to SI24.5, 
Though event notification is activated, email is not sent.

After the upgrade there are 2 notifier.conf files:
[1] /etc/rhevm-old/notifier/notifier.conf
[2] /etc/ovirt-engine/notifier/notifier.conf

Setting both to correct settings didn't made the email sent.

Version-Release number of selected component (if applicable):
IC158.2 to SI24.5

How reproducible:

Steps to Reproduce:
1. Define the /etc/ovirt-engine/notifier/notifier.conf for sending notifications
2. Activate engine-notifierd service. 
(/etc/rc.d/init.d/engine-notifierd start)
3. Attach event notification to a user 
(I added a user from AD, attached to it event notification for ovirt-engine stop)
4. service ovirt-engine restart several times, and expect email.
Expected results:
no email is sent

Additional info:
There is another bug, on that the values from the old notifier.conf [1] are not copied to the new notifier conf [2] - Bug 880923
Comment 1 Ilanit Stein 2012-12-03 03:48:58 EST
Created attachment 656451 [details]
Comment 2 Ilanit Stein 2012-12-03 03:50:03 EST
Created attachment 656453 [details]
Comment 3 Ilanit Stein 2012-12-03 03:56:40 EST
Created attachment 656455 [details]
Comment 4 Ilanit Stein 2012-12-03 03:57:23 EST
Created attachment 656456 [details]
Comment 5 Ilanit Stein 2012-12-03 10:27:38 EST
*** Bug 881071 has been marked as a duplicate of this bug. ***
Comment 6 Ilanit Stein 2012-12-03 10:30:56 EST
As mentioned in bug 881071, which was marked as duplicate of this bug,
here also there are many error messages "PSQLException: FATAL: connection limit exceeded for non-superusers".
Comment 7 Yair Zaslavsky 2012-12-04 13:54:51 EST
one thing I did notice is that the code is not using a DB connection pool.
The error appears every 5 seconds. please provide the configuration file of the notification service on your setup.
Comment 9 Ilanit Stein 2012-12-05 09:25:58 EST
The configuration file of the notification service is already attached.
I first configured conf file [2], and when it didn't work I configured [1],
both mentioned in the description.
Comment 13 Yair Zaslavsky 2012-12-09 06:36:56 EST
*** Bug 882682 has been marked as a duplicate of this bug. ***
Comment 14 Moran Goldboim 2012-12-20 07:39:29 EST
test only. 3.0->3.1 upgrade flow
Comment 15 Yair Zaslavsky 2012-12-30 06:11:30 EST
*** Bug 882688 has been marked as a duplicate of this bug. ***
Comment 16 Yair Zaslavsky 2012-12-30 06:12:12 EST
*** Bug 882690 has been marked as a duplicate of this bug. ***
Comment 17 Ilanit Stein 2013-02-11 02:26:20 EST
Verified on upgrade IC158.2 -> SI27.

First verified notification sent for ISC158.2, then after upgrade verified the notifier.conf is kept and notification is sent.
Comment 20 errata-xmlrpc 2013-06-10 17:25:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.